# GlueSettingsSave

### Introduction

GlueSettingsSave provides global (not project specific) settings used by the FlatRedBall Editor. GlueSettingsSave includes properties that are not tied to a specific file in the project, but rather the entire project. Also, GlueSettingsSave is not used to store plugin-specific settings.

### Interacting With GlueSettingsSave

GlueSettingsSave can be accessed through GlueState. The following code shows how to set the BookmarkRowHeight. Note that setting this does not directly modify the UI, but instead modifies the settings which are used when restarting the FRB Editor.

```csharp
var settings = GlueState.Self.GlueSettingsSave;
settings.BookmarkRowHeight = desiredValue;
settings.Save(); // writes the file to disk in the standard location
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/glue-runtime-api/saveclasses/gluesettingssave.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
